> ## Documentation Index
> Fetch the complete documentation index at: https://docs.advancedwebranking.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export GSC

> This operation allows you to export data stored in AWR from Google Search Console.



## OpenAPI

````yaml api-reference/openapi.json get /projects/{name}/export-gsc
openapi: 3.0.0
info:
  title: AWR API
  version: 1.0.0
  description: >-
    Advanced Web Ranking API for managing SEO projects, rankings, and market
    share data
servers:
  - url: https://api.advancedwebranking.com/v3
    description: Production server
security:
  - bearerAuth: []
paths:
  /projects/{name}/export-gsc:
    get:
      tags:
        - Exports
      summary: Export GSC
      description: >-
        This operation allows you to export data stored in AWR from Google
        Search Console.
      operationId: exportGSC
      parameters:
        - $ref: '#/components/parameters/projectNamePath'
        - $ref: '#/components/parameters/startDateQuery'
        - $ref: '#/components/parameters/stopDateQuery'
        - name: device
          in: query
          schema:
            type: integer
          example: 1
      responses:
        '200':
          description: Successful response
components:
  parameters:
    projectNamePath:
      name: name
      in: path
      required: true
      schema:
        type: string
      example: AWR-1
    startDateQuery:
      name: startDate
      in: query
      schema:
        type: string
        format: date
      example: '2026-01-25'
    stopDateQuery:
      name: stopDate
      in: query
      schema:
        type: string
        format: date
      example: '2026-01-28'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````